summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordotnet-maestro[bot] <dotnet-maestro[bot]@users.noreply.github.com>2019-01-16 12:47:40 -0800
committerJan Kotas <jkotas@microsoft.com>2019-01-16 12:47:40 -0800
commit80720a220c340e99aa88d04ebae8118eb4fc198b (patch)
tree1c6a6a30f89687feb17186ca3f1e12ad287d84b5
parent6ecca8de2d3761d490181942826de000f0eadcc7 (diff)
downloadcoreclr-80720a220c340e99aa88d04ebae8118eb4fc198b.tar.gz
coreclr-80720a220c340e99aa88d04ebae8118eb4fc198b.tar.bz2
coreclr-80720a220c340e99aa88d04ebae8118eb4fc198b.zip
Update dependencies from https://github.com/dotnet/arcade build 20190115.6 (#22007)
This change updates the following dependencies - Microsoft.DotNet.Arcade.Sdk - 1.0.0-beta.19065.6 - Microsoft.DotNet.Helix.Sdk - 2.0.0-beta.19065.6
-rw-r--r--eng/Version.Details.xml8
-rwxr-xr-xeng/common/build.sh10
-rw-r--r--eng/common/darc-init.ps120
-rw-r--r--eng/common/helixpublish.proj1
-rw-r--r--eng/common/templates/phases/base.yml1
-rw-r--r--eng/common/templates/steps/send-to-helix.yml7
-rw-r--r--eng/common/tools.ps17
-rw-r--r--eng/common/tools.sh43
-rw-r--r--global.json4
9 files changed, 64 insertions, 37 deletions
diff --git a/eng/Version.Details.xml b/eng/Version.Details.xml
index eebe1bf632..f96e823a43 100644
--- a/eng/Version.Details.xml
+++ b/eng/Version.Details.xml
@@ -2,13 +2,13 @@
<Dependencies>
<ProductDependencies></ProductDependencies>
<ToolsetDependencies>
- <Dependency Name="Microsoft.DotNet.Arcade.Sdk" Version="1.0.0-beta.18630.2">
+ <Dependency Name="Microsoft.DotNet.Arcade.Sdk" Version="1.0.0-beta.19065.6">
<Uri>https://github.com/dotnet/arcade</Uri>
- <Sha>96c87ddd97d9c562ef77f1e4606a0dbb000ab644</Sha>
+ <Sha>289a8e607ef2a7358c351ddf3d08056186d4e554</Sha>
</Dependency>
- <Dependency Name="Microsoft.DotNet.Helix.Sdk" Version="1.0.0-beta.18630.2">
+ <Dependency Name="Microsoft.DotNet.Helix.Sdk" Version="2.0.0-beta.19065.6">
<Uri>https://github.com/dotnet/arcade</Uri>
- <Sha>96c87ddd97d9c562ef77f1e4606a0dbb000ab644</Sha>
+ <Sha>289a8e607ef2a7358c351ddf3d08056186d4e554</Sha>
</Dependency>
</ToolsetDependencies>
</Dependencies>
diff --git a/eng/common/build.sh b/eng/common/build.sh
index 47af926d4d..4fe8b41ed7 100755
--- a/eng/common/build.sh
+++ b/eng/common/build.sh
@@ -3,6 +3,10 @@
# Stop script if unbound variable found (use ${var:-} if intentional)
set -u
+# Stop script if command returns non-zero exit code.
+# Prevents hidden errors caused by missing error code propagation.
+set -e
+
usage()
{
echo "Common settings:"
@@ -130,6 +134,12 @@ while [[ $# > 0 ]]; do
/p:*)
properties="$properties $1"
;;
+ /m:*)
+ properties="$properties $1"
+ ;;
+ /bl:*)
+ properties="$properties $1"
+ ;;
*)
echo "Invalid argument: $1"
usage
diff --git a/eng/common/darc-init.ps1 b/eng/common/darc-init.ps1
index 9ca150be86..96cad844ba 100644
--- a/eng/common/darc-init.ps1
+++ b/eng/common/darc-init.ps1
@@ -1,7 +1,11 @@
+param (
+ $darcVersion = $null
+)
+
$verbosity = "m"
. $PSScriptRoot\tools.ps1
-function InstallDarcCli {
+function InstallDarcCli ($darcVersion) {
$darcCliPackageName = "microsoft.dotnet.darc"
$dotnetRoot = InitializeDotNetCli -install:$true
@@ -12,11 +16,17 @@ function InstallDarcCli {
Invoke-Expression "& `"$dotnet`" tool uninstall $darcCliPackageName -g"
}
- $toolsetVersion = $GlobalJson.'msbuild-sdks'.'Microsoft.DotNet.Arcade.Sdk'
+ # Until we can anonymously query the BAR API for the latest arcade-services
+ # build applied to the PROD channel, this is hardcoded.
+ if (-not $darcVersion) {
+ $darcVersion = '1.1.0-beta.19057.9'
+ }
+
+ $arcadeServicesSource = 'https://dotnetfeed.blob.core.windows.net/dotnet-arcade/index.json'
- Write-Host "Installing Darc CLI version $toolsetVersion..."
+ Write-Host "Installing Darc CLI version $darcVersion..."
Write-Host "You may need to restart your command window if this is the first dotnet tool you have installed."
- Invoke-Expression "& `"$dotnet`" tool install $darcCliPackageName --version $toolsetVersion -v $verbosity -g"
+ Invoke-Expression "& `"$dotnet`" tool install $darcCliPackageName --version $darcVersion --add-source '$arcadeServicesSource' -v $verbosity -g"
}
-InstallDarcCli
+InstallDarcCli $darcVersion
diff --git a/eng/common/helixpublish.proj b/eng/common/helixpublish.proj
index 72668a1337..d7f185856e 100644
--- a/eng/common/helixpublish.proj
+++ b/eng/common/helixpublish.proj
@@ -14,6 +14,7 @@
<HelixWorkItem Include="WorkItem" Condition="'$(WorkItemDirectory)' != ''">
<PayloadDirectory>$(WorkItemDirectory)</PayloadDirectory>
<Command>$(WorkItemCommand)</Command>
+ <Timeout Condition="'$(WorkItemTimeout)' != ''">$(WorkItemTimeout)</Timeout>
</HelixWorkItem>
</ItemGroup>
diff --git a/eng/common/templates/phases/base.yml b/eng/common/templates/phases/base.yml
index e075e8b78b..0123cf43b1 100644
--- a/eng/common/templates/phases/base.yml
+++ b/eng/common/templates/phases/base.yml
@@ -85,7 +85,6 @@ phases:
- task: MicroBuildSigningPlugin@2
displayName: Install MicroBuild plugin
inputs:
- version: 1.1.35
signType: $(_SignType)
zipSources: false
feedSource: https://dnceng.pkgs.visualstudio.com/_packaging/MicroBuildToolset/nuget/v3/index.json
diff --git a/eng/common/templates/steps/send-to-helix.yml b/eng/common/templates/steps/send-to-helix.yml
index 03f0e38662..a5835c0f47 100644
--- a/eng/common/templates/steps/send-to-helix.yml
+++ b/eng/common/templates/steps/send-to-helix.yml
@@ -8,6 +8,7 @@ parameters:
HelixPostCommands: '' # optional -- commands to run after Helix work item execution
WorkItemDirectory: '' # optional -- a payload directory to zip up and send to Helix; requires WorkItemCommand; incompatible with XUnitProjects
WorkItemCommand: '' # optional -- a command to execute on the payload; requires WorkItemDirectory; incompatible with XUnitProjects
+ WorkItemTimeout: '' # optional -- a timeout in seconds for the work item command; requires WorkItemDirectory; incompatible with XUnitProjects
CorrelationPayloadDirectory: '' # optional -- a directory to zip up and send to Helix as a correlation payload
XUnitProjects: '' # optional -- semicolon delimited list of XUnitProjects to parse and send to Helix; requires XUnitRuntimeTargetFramework, XUnitPublishTargetFramework, XUnitRunnerVersion, and IncludeDotNetCli=true
XUnitPublishTargetFramework: '' # optional -- framework to use to publish your xUnit projects
@@ -18,7 +19,7 @@ parameters:
DotNetCliVersion: '' # optional -- version of the CLI to send to Helix; based on this: https://raw.githubusercontent.com/dotnet/core/master/release-notes/releases.json
EnableXUnitReporter: false # optional -- true enables XUnit result reporting to Mission Control
WaitForWorkItemCompletion: true # optional -- true will make the task wait until work items have been completed and fail the build if work items fail. False is "fire and forget."
- IsExternal: false # optional -- true requires Creator and will make the Mission Control results visible to folks outside the Microsoft Org
+ IsExternal: false # [DEPRECATED] -- doesn't do anything, jobs are external if HelixAccessToken is empty and Creator is set
Creator: '' # optional -- if the build is external, use this to specify who is sending the job
condition: succeeded() # optional -- condition for step to execute; defaults to succeeded()
continueOnError: false # optional -- determines whether to continue the build if the step errors; defaults to false
@@ -37,6 +38,7 @@ steps:
HelixPostCommands: ${{ parameters.HelixPostCommands }}
WorkItemDirectory: ${{ parameters.WorkItemDirectory }}
WorkItemCommand: ${{ parameters.WorkItemCommand }}
+ WorkItemTimeout: ${{ parameters.WorkItemTimeout }}
CorrelationPayloadDirectory: ${{ parameters.CorrelationPayloadDirectory }}
XUnitProjects: ${{ parameters.XUnitProjects }}
XUnitPublishTargetFramework: ${{ parameters.XUnitPublishTargetFramework }}
@@ -47,7 +49,6 @@ steps:
DotNetCliVersion: ${{ parameters.DotNetCliVersion }}
EnableXUnitReporter: ${{ parameters.EnableXUnitReporter }}
WaitForWorkItemCompletion: ${{ parameters.WaitForWorkItemCompletion }}
- IsExternal: ${{ parameters.IsExternal }}
Creator: ${{ parameters.Creator }}
condition: and(${{ parameters.condition }}, eq(variables['Agent.Os'], 'Windows_NT'))
continueOnError: ${{ parameters.continueOnError }}
@@ -64,6 +65,7 @@ steps:
HelixPostCommands: ${{ parameters.HelixPostCommands }}
WorkItemDirectory: ${{ parameters.WorkItemDirectory }}
WorkItemCommand: ${{ parameters.WorkItemCommand }}
+ WorkItemTimeout: ${{ parameters.WorkItemTimeout }}
CorrelationPayloadDirectory: ${{ parameters.CorrelationPayloadDirectory }}
XUnitProjects: ${{ parameters.XUnitProjects }}
XUnitPublishTargetFramework: ${{ parameters.XUnitPublishTargetFramework }}
@@ -74,7 +76,6 @@ steps:
DotNetCliVersion: ${{ parameters.DotNetCliVersion }}
EnableXUnitReporter: ${{ parameters.EnableXUnitReporter }}
WaitForWorkItemCompletion: ${{ parameters.WaitForWorkItemCompletion }}
- IsExternal: ${{ parameters.IsExternal }}
Creator: ${{ parameters.Creator }}
condition: and(${{ parameters.condition }}, ne(variables['Agent.Os'], 'Windows_NT'))
continueOnError: ${{ parameters.continueOnError }}
diff --git a/eng/common/tools.ps1 b/eng/common/tools.ps1
index a607ec6080..4204dc14f8 100644
--- a/eng/common/tools.ps1
+++ b/eng/common/tools.ps1
@@ -141,6 +141,13 @@ function InitializeDotNetCli([bool]$install) {
# It also ensures that VS msbuild will use the downloaded sdk targets.
$env:PATH = "$dotnetRoot;$env:PATH"
+ if ($ci) {
+ # Make Sure that our bootstrapped dotnet cli is avaliable in future steps of the Azure Pipelines build
+ Write-Host "##vso[task.prependpath]$dotnetRoot"
+ Write-Host "##vso[task.setvariable variable=DOTNET_MULTILEVEL_LOOKUP]0"
+ Write-Host "##vso[task.setvariable variable=DOTNET_SKIP_FIRST_TIME_EXPERIENCE]1"
+ }
+
return $global:_DotNetInstallDir = $dotnetRoot
}
diff --git a/eng/common/tools.sh b/eng/common/tools.sh
index 65f689775c..8a253bef51 100644
--- a/eng/common/tools.sh
+++ b/eng/common/tools.sh
@@ -1,8 +1,3 @@
-#!/usr/bin/env bash
-
-# Stop script if unbound variable found (use ${var:-} if intentional)
-set -u
-
# Initialize variables if they aren't already defined.
# CI mode - set to true on CI server for PR validation build or official build.
@@ -140,6 +135,13 @@ function InitializeDotNetCli {
# build steps from using anything other than what we've downloaded.
export PATH="$dotnet_root:$PATH"
+ if [[ $ci == true ]]; then
+ # Make Sure that our bootstrapped dotnet cli is avaliable in future steps of the Azure Pipelines build
+ echo "##vso[task.prependpath]$dotnet_root"
+ echo "##vso[task.setvariable variable=DOTNET_MULTILEVEL_LOOKUP]0"
+ echo "##vso[task.setvariable variable=DOTNET_SKIP_FIRST_TIME_EXPERIENCE]1"
+ fi
+
# return value
_InitializeDotNetCli="$dotnet_root"
}
@@ -151,13 +153,11 @@ function InstallDotNetSdk {
GetDotNetInstallScript "$root"
local install_script=$_GetDotNetInstallScript
- bash "$install_script" --version $version --install-dir "$root"
- local lastexitcode=$?
-
- if [[ $lastexitcode != 0 ]]; then
- echo "Failed to install dotnet SDK (exit code '$lastexitcode')." >&2
- ExitWithExitCode $lastexitcode
- fi
+ bash "$install_script" --version $version --install-dir "$root" || {
+ local exit_code=$?
+ echo "Failed to install dotnet SDK (exit code '$exit_code')." >&2
+ ExitWithExitCode $exit_code
+ }
}
function GetDotNetInstallScript {
@@ -189,8 +189,9 @@ function InitializeBuildTool {
InitializeDotNetCli $restore
- # return value
+ # return values
_InitializeBuildTool="$_InitializeDotNetCli/dotnet"
+ _InitializeBuildToolCommand="msbuild"
}
function GetNuGetPackageCachePath {
@@ -258,8 +259,8 @@ function ExitWithExitCode {
function StopProcesses {
echo "Killing running build processes..."
- pkill -9 "dotnet"
- pkill -9 "vbcscompiler"
+ pkill -9 "dotnet" || true
+ pkill -9 "vbcscompiler" || true
return 0
}
@@ -283,13 +284,11 @@ function MSBuild {
warnaserror_switch="/warnaserror"
fi
- "$_InitializeBuildTool" msbuild /m /nologo /clp:Summary /v:$verbosity /nr:$node_reuse $warnaserror_switch /p:TreatWarningsAsErrors=$warn_as_error "$@"
- lastexitcode=$?
-
- if [[ $lastexitcode != 0 ]]; then
- echo "Build failed (exit code '$lastexitcode')." >&2
- ExitWithExitCode $lastexitcode
- fi
+ "$_InitializeBuildTool" "$_InitializeBuildToolCommand" /m /nologo /clp:Summary /v:$verbosity /nr:$node_reuse $warnaserror_switch /p:TreatWarningsAsErrors=$warn_as_error "$@" || {
+ local exit_code=$?
+ echo "Build failed (exit code '$exit_code')." >&2
+ ExitWithExitCode $exit_code
+ }
}
ResolvePath "${BASH_SOURCE[0]}"
diff --git a/global.json b/global.json
index d84e34682f..5c97adeb43 100644
--- a/global.json
+++ b/global.json
@@ -7,7 +7,7 @@
"python": "2.7.15"
},
"msbuild-sdks": {
- "Microsoft.DotNet.Arcade.Sdk": "1.0.0-beta.18630.2",
- "Microsoft.DotNet.Helix.Sdk": "1.0.0-beta.18630.2"
+ "Microsoft.DotNet.Arcade.Sdk": "1.0.0-beta.19065.6",
+ "Microsoft.DotNet.Helix.Sdk": "2.0.0-beta.19065.6"
}
}